package com.yaoyicloud.render;

import lombok.Data;

import java.time.LocalDate;
import java.util.List;

/**
 * 审核结果类
 */
@Data
public class AuditResult {
    private final String auditResultScore; // ${审核结果:评分}
    private final String opinion; // ${审核结果:审核意见}
    private final String serviceProviderName; // ${审核结果:服务商名称}
    private final LocalDate auditDate; // ${审核结果:审核日期}
    private final String reportVersion; // ${审核结果:报告版本}
    private final String riskAlert; // ${风险概述:风险提示}
    private final String auditResultSuggestion; // ${风险概述:建议}

    // 基础信息评分
    // 公共记录评分
    // 财务信息评分
    // 项目情况评分
    private final List<CheckItemScore> checkItemScores;
}
